diff -ru /home/kjm/mimas/socks5-v1.0r3/clients/archie/Makefile.in socks5-v1.0r3/clients/archie/Makefile.in
--- /home/kjm/mimas/socks5-v1.0r3/clients/archie/Makefile.in	Thu Apr 24 04:10:31 1997
+++ socks5-v1.0r3/clients/archie/Makefile.in	Fri Sep 12 15:02:03 1997
@@ -40,7 +40,7 @@
 # Note this only applies to the command-line client; to change the
 # default for the Emacs lisp version, set the archie-server variable.
 #ARCHIE= archie.sura.net
-ARCHIE= archie.ans.net
+ARCHIE= archie.kyoto-u.ac.jp
 
 #	Usually LDFLAGS is empty; if, after you build this, archie
 #	 complains that it can't resolve ARCHIE.ANS.NET (or whatever
diff -ru /home/kjm/mimas/socks5-v1.0r3/clients/finger/Makefile.in socks5-v1.0r3/clients/finger/Makefile.in
--- /home/kjm/mimas/socks5-v1.0r3/clients/finger/Makefile.in	Thu Apr 24 04:10:33 1997
+++ socks5-v1.0r3/clients/finger/Makefile.in	Fri Sep 12 15:06:18 1997
@@ -19,7 +19,7 @@
 MANDIR  	= $(prefix)/man
 
 # The Internet Whois server; used to be nic.ddn.mil.
-WHOIS_SERVER	= -DWHOIS_SERVER'="rs.internic.net"'
+WHOIS_SERVER	= -DWHOIS_SERVER'="whois.nic.ad.jp"'
 
 
 .SUFFIXES: .c .o
diff -ru /home/kjm/mimas/socks5-v1.0r3/clients/ftp/ftp.c socks5-v1.0r3/clients/ftp/ftp.c
--- /home/kjm/mimas/socks5-v1.0r3/clients/ftp/ftp.c	Tue Sep  2 23:54:36 1997
+++ socks5-v1.0r3/clients/ftp/ftp.c	Fri Sep 12 15:19:34 1997
@@ -838,7 +838,11 @@
     dout = dataconn(lmode);
     if (dout == NULL)
 	goto abort;
+#if defined(sony) && (defined (USGr4) || defined (SYSTYPE_SYSV))
+    gettimeofday(&start);
+#else
     gettimeofday(&start, (struct timezone *)0);
+#endif
     oldintp = (sig_t)Signal(SIGPIPE, SIG_IGN);
     switch (curtype) {
 
@@ -910,7 +914,11 @@
 	    }
 	    break;
     }
+#if defined(sony) && (defined (USGr4) || defined (SYSTYPE_SYSV))
+    gettimeofday(&stop);
+#else
     gettimeofday(&stop, (struct timezone *)0);
+#endif
     if (closefunc != NULL)
 	(*closefunc)(fin);
     fclose(dout);
@@ -926,7 +934,11 @@
     }
     return;
 abort:
+#if defined(sony) && (defined (USGr4) || defined (SYSTYPE_SYSV))
+    gettimeofday(&stop);
+#else
     gettimeofday(&stop, (struct timezone *)0);
+#endif
     Signal(SIGINT, oldintr);
     if (oldintp)
 	Signal(SIGPIPE, oldintp);
@@ -1123,7 +1135,11 @@
     
     }
 
+#if defined(sony) && (defined (USGr4) || defined (SYSTYPE_SYSV))
+    gettimeofday(&start);
+#else
     gettimeofday(&start, (struct timezone *)0);
+#endif
 
     switch (curtype) {
 	case TYPE_I:
@@ -1251,7 +1267,11 @@
     Signal(SIGINT, oldintr);
     if (oldintp) Signal(SIGPIPE, oldintp);
 
+#if defined(sony) && (defined (USGr4) || defined (SYSTYPE_SYSV))
+    gettimeofday(&stop);
+#else
     gettimeofday(&stop, (struct timezone *)0);
+#endif
     fclose(din);
     getreply(0);
 
@@ -1267,7 +1287,11 @@
 
     /* abort using RFC959 recommended IP,SYNC sequence  */
   
+#if defined(sony) && (defined (USGr4) || defined (SYSTYPE_SYSV))
+    gettimeofday(&stop);
+#else
     gettimeofday(&stop, (struct timezone *)0);
+#endif
     if (oldintp) Signal(SIGPIPE, oldintr);
     Signal(SIGINT, SIG_IGN);
 
diff -ru /home/kjm/mimas/socks5-v1.0r3/configure socks5-v1.0r3/configure
--- /home/kjm/mimas/socks5-v1.0r3/configure	Wed Aug 27 05:26:50 1997
+++ socks5-v1.0r3/configure	Fri Sep 12 19:28:00 1997
@@ -4626,6 +4626,11 @@
 		SHLIB_OFLAGS="-W0,-y-o -W0,-y"
 		PRELOADS="LD_PRELOAD"
 		;;	
+	NEWS-OS*6*)
+		SHLIB_CFLAGS="-KPIC"
+		SHLIB_LFLAGS="-G -KPIC -check_registry /usr/lib/so_locations"
+		PRELOADS="LD_PRELOAD"
+		;;	
 	IRIX*5.*|IRIX*6.*)
 		SHLIB_CFLAGS="-KPIC"
 		PRELOADS="_RLD_LIST"
diff -ru /home/kjm/mimas/socks5-v1.0r3/lib/select.c socks5-v1.0r3/lib/select.c
--- /home/kjm/mimas/socks5-v1.0r3/lib/select.c	Tue Sep  2 23:54:43 1997
+++ socks5-v1.0r3/lib/select.c	Fri Sep 12 15:16:22 1997
@@ -99,7 +99,11 @@
 	if (wfdsp) memcpy(wfdsp, &wfs, size);
 	if (efdsp) memcpy(efdsp, &efs, size);
 
+#if defined(sony) && (defined (USGr4) || defined (SYSTYPE_SYSV))
+	if (timeout) gettimeofday(&start);
+#else
 	if (timeout) gettimeofday(&start, NULL);
+#endif
 	S5LogUpdate(S5LogDefaultHandle, S5_LOG_DEBUG(12), 0, "Select: Selecting");
 	if ((n = REAL(select)(width, rfdsp, wfdsp, efdsp, timeout)) <= 0) {
     	    lsInWrapFunction--;
@@ -157,7 +161,11 @@
 	}
 
 	if (!timeout) continue;
+#if defined(sony) && (defined (USGr4) || defined (SYSTYPE_SYSV))
+	gettimeofday(&end);
+#else
 	gettimeofday(&end, NULL);
+#endif
 
 	timeout->tv_sec  -= (end.tv_sec  - start.tv_sec);
 	timeout->tv_usec -= (end.tv_usec - start.tv_usec);
